org.apache.ivy

## Interface Ivy.IvyCallback

Enclosing class:
  Ivy

    public static interface Ivy.IvyCallback

Callback used to execute a set of Ivy related methods within an `IvyContext`.

See Also:
  `Ivy.execute(org.apache.ivy.Ivy.IvyCallback)`

### Method Summary

Methods
`java.lang.Object` `doInIvyContext(Ivy ivy, IvyContext context)` Executes Ivy related job within an `IvyContext`

### Method Detail

#### doInIvyContext

    java.lang.Object doInIvyContext(Ivy ivy,
                                  IvyContext context)

Executes Ivy related job within an `IvyContext`

Parameters:
  `ivy` - the `Ivy` instance to which this callback is related
  `context` - the `IvyContext` in which this callback is executed
Returns:
  the result of this job, `null` if there is no result